class AuthD::Request
	IPC::JSON.message GetContacts, 18 do
		def initialize()
		end

		def handle(authd : AuthD::Service, fd : Int32)
			logged_user = authd.get_logged_user_full? fd
			return Response::Error.new "you must be logged" if logged_user.nil?

			_c = logged_user.contact
			Response::Contacts.new logged_user.uid, _c.email
		end
	end
	AuthD.requests << GetContacts
end
